# OrthographicFrustum

#### new Cesium.OrthographicFrustum()
Scene/OrthographicFrustum.js 40

  The viewing frustum is defined by 6 planes. Each plane is represented by a `Cartesian4` object, where the x, y, and z components define the unit vector normal to the plane, and the w component is the distance of the plane from the origin/camera position.

  ##### Example:

      var maxRadii = ellipsoid.maximumRadius;

      var frustum = new Cesium.OrthographicFrustum();
      frustum.right = maxRadii * Cesium.Math.PI;
      frustum.left = -c.frustum.right;
      frustum.top = c.frustum.right * (canvas.clientHeight / canvas.clientWidth);
      frustum.bottom = -c.frustum.top;
      frustum.near = 0.01 * maxRadii;
      frustum.far = 50.0 * maxRadii;

### Members

#### bottom : Number
Scene/OrthographicFrustum.js 70

  The bottom clipping plane.
  Default Value: `undefined`

#### far : Number
Scene/OrthographicFrustum.js 86

  The distance of the far plane.
  Default Value: `500000000.0;`

#### left : Number
Scene/OrthographicFrustum.js 46

  The left clipping plane.
  Default Value: `undefined`

#### near : Number
Scene/OrthographicFrustum.js 78

  The distance of the near plane.
  Default Value: `1.0`

#### readonlyprojectionMatrix : Matrix4
Scene/OrthographicFrustum.js 135

  Gets the orthographic projection matrix computed from the view frustum.

#### right : Number
Scene/OrthographicFrustum.js 54

  The right clipping plane.
  Default Value: `undefined`

#### top : Number
Scene/OrthographicFrustum.js 62

  The top clipping plane.
  Default Value: `undefined`

### Methods

#### clone(result) → OrthographicFrustum
Scene/OrthographicFrustum.js 321

  Returns a duplicate of a OrthographicFrustum instance.

  Name | Type | Description
  --- | --- | ---
  `result` | OrthographicFrustum | optional The object onto which to store the result.

  ##### Returns:

  The modified result parameter or a new PerspectiveFrustum instance if one was not provided.

#### computeCullingVolume(position, direction, up) → CullingVolume
Scene/OrthographicFrustum.js 161

  Creates a culling volume for this frustum.

  Name | Type | Description
  --- | --- | ---
  `position` | Cartesian3 | The eye position.
  `direction` | Cartesian3 | The view direction.
  `up` | Cartesian3 | The up direction.

  ##### Returns:

  A culling volume at the given position and orientation.

  ##### Example:

      // Check if a bounding volume intersects the frustum.
      var cullingVolume = frustum.computeCullingVolume(cameraPosition, cameraDirection, cameraUp);
      var intersect = cullingVolume.computeVisibility(boundingVolume);

#### equals(other) → Boolean
Scene/OrthographicFrustum.js 351

  Compares the provided OrthographicFrustum componentwise and returns `true` if they are equal, `false` otherwise.

  Name | Type | Description
  --- | --- | ---
  `other` | OrthographicFrustum | optional The right hand side OrthographicFrustum.

  ##### Returns:

  `true` if they are equal, `false` otherwise.

#### getPixelDimensions(drawingBufferWidth, drawingBufferHeight, distance, result) → Cartesian2
Scene/OrthographicFrustum.js 284

  Returns the pixel's width and height in meters.

  Name | Type | Description
  --- | --- | ---
  `drawingBufferWidth` | Number | The width of the drawing buffer.
  `drawingBufferHeight` | Number | The height of the drawing buffer.
  `distance` | Number | The distance to the near plane in meters.
  `result` | Cartesian2 | The object onto which to store the result.

  ##### Returns:

  The modified result parameter or a new instance of `Cartesian2` with the pixel's width and height in the x and y properties, respectively.

  ##### Throws:

  - DeveloperError : drawingBufferWidth must be greater than zero.
  - DeveloperError : drawingBufferHeight must be greater than zero.

  ##### Example:

      // Example 1
      // Get the width and height of a pixel.
      var pixelSize = camera.frustum.getPixelDimensions(scene.drawingBufferWidth, scene.drawingBufferHeight, 0.0, new Cesium.Cartesian2());